{-# LANGUAGE ScopedTypeVariables, UndecidableInstances #-}



{-
Module      :  Control.Monad.StateX
Copyright   :  (c) Mark Snyder 2012.
License     :  BSD-style
Maintainer  :  Mark Snyder, msnyde14@gmu.edu
Stability   :  experimental
Portability :  non-portable (multi-param classes, functional dependencies)


--      This module is inspired by the paper
--      /Functional Programming with Overloading and
--          Higher-Order Polymorphism/,
--        Mark P Jones (<http://web.cecs.pdx.edu/~mpj/>)
--          Advanced School of Functional Programming, 1995.

-}


module Control.Monad.StateX (
  module Control.Monad.StateX.Lazy,
  module Control.Monad.Index
  ) where

import Control.Monad.StateX.Lazy

import Control.Monad.Index



